package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Devices with failed operation.
 */
@ApiModel(description = "Devices with failed operation.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class DeviceBindResultOpenApiVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("errorCode")
  private Integer errorCode;

  @JsonProperty("msg")
  private String msg;

  public DeviceBindResultOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * The mac address of device, like AA-BB-CC-DD-EE-FF.
   * @return mac
  */
  @ApiModelProperty(value = "The mac address of device, like AA-BB-CC-DD-EE-FF.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DeviceBindResultOpenApiVo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * The ID of target site.
   * @return siteId
  */
  @ApiModelProperty(value = "The ID of target site.")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public DeviceBindResultOpenApiVo errorCode(Integer errorCode) {
    this.errorCode = errorCode;
    return this;
  }

  /**
   * The error code for failed operation.
   * @return errorCode
  */
  @ApiModelProperty(value = "The error code for failed operation.")


  public Integer getErrorCode() {
    return errorCode;
  }

  public void setErrorCode(Integer errorCode) {
    this.errorCode = errorCode;
  }

  public DeviceBindResultOpenApiVo msg(String msg) {
    this.msg = msg;
    return this;
  }

  /**
   * The message for failed operation.
   * @return msg
  */
  @ApiModelProperty(value = "The message for failed operation.")


  public String getMsg() {
    return msg;
  }

  public void setMsg(String msg) {
    this.msg = msg;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceBindResultOpenApiVo deviceBindResultOpenApiVo = (DeviceBindResultOpenApiVo) o;
    return Objects.equals(this.mac, deviceBindResultOpenApiVo.mac) &&
        Objects.equals(this.siteId, deviceBindResultOpenApiVo.siteId) &&
        Objects.equals(this.errorCode, deviceBindResultOpenApiVo.errorCode) &&
        Objects.equals(this.msg, deviceBindResultOpenApiVo.msg);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, siteId, errorCode, msg);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceBindResultOpenApiVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    errorCode: ").append(toIndentedString(errorCode)).append("\n");
    sb.append("    msg: ").append(toIndentedString(msg)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

